> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getoliver.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create token

> Authenticate with the API



## OpenAPI

````yaml POST /services/user/v1/auth/sign-in
openapi: 3.1.0
info:
  title: Oliver Partner API
  description: API for partners to interact with Oliver
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://partner-api.getoliver.com
security:
  - bearerAuth: []
paths:
  /services/user/v1/auth/sign-in:
    post:
      description: Authenticate with the API
      requestBody:
        description: >-
          Sign in credentials. You may obtain your partner authentication
          credentials from engineering@getoliver.com
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SignInRequest'
      responses:
        '200':
          description: Sign in response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SignInResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SignInError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SignInError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SignInError'
      security: []
components:
  schemas:
    SignInRequest:
      type: object
      required:
        - username
        - password
        - role
      properties:
        username:
          type: string
        password:
          type: string
        role:
          type: string
          description: Always set to `ROLE_API`
    SignInResponse:
      type: object
      required:
        - success
        - data
      properties:
        success:
          type: boolean
        data:
          type: object
          required:
            - token
          properties:
            token:
              type: string
              description: JWT Bearer token
        message:
          type: string
    SignInError:
      type: object
      required:
        - success
        - message
      properties:
        success:
          type: boolean
        data:
          type: object
        message:
          type: string
          description: Incorrect email
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````